Bug 448321 - x freezes while user switching
x freezes while user switching
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-25 16:57 EDT by Mads Villadsen
Modified: 2009-07-14 13:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log from crash (15.42 KB, text/plain)
2008-06-07 01:49 EDT, Mike Wohlgemuth
no flags Details
xorg.conf (593 bytes, text/plain)
2008-06-07 01:51 EDT, Mike Wohlgemuth
no flags Details
log file with xorg.conf (27.78 KB, text/plain)
2008-06-11 14:08 EDT, Mads Villadsen
no flags Details
log file without xorg.conf (24.83 KB, text/plain)
2008-06-11 14:08 EDT, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2008-05-25 16:57:52 EDT
Description of problem:
This is on a Dell Latitude D820 with an intel 945GM graphics card. While trying
to switch between two logged in users (using the user switch applet) X freezes
while showing a screen full of weird colors.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-24.fc9.i386


How reproducible:
Always

Steps to Reproduce:
1. Log in as user A
2. Use the user switch applet to switch to another user.
3. When at GDM log in as user B.
4. From use B use the user switch applet to switch back to user A.
5. X freezes with a colorful screen.
  
Actual results:
X freezes.

Expected results:
Should be able to switch back and forth between logged in users without problems.
Comment 1 Matěj Cepl 2008-05-26 05:51:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Mike Wohlgemuth 2008-06-07 01:49:05 EDT
Created attachment 308587 [details]
xorg log from crash
Comment 3 Mike Wohlgemuth 2008-06-07 01:49:54 EDT
I am experiencing this bug as well.  It will happen whether or not I have an
xorg.conf.  The only thing I have found as a work around is to add 

	Option         "NoAccel" "True"

in the Device section for my video card.
Comment 4 Mike Wohlgemuth 2008-06-07 01:51:18 EDT
Created attachment 308588 [details]
xorg.conf
Comment 5 Mads Villadsen 2008-06-11 14:08:15 EDT
Created attachment 308973 [details]
log file with xorg.conf
Comment 6 Mads Villadsen 2008-06-11 14:08:44 EDT
Created attachment 308974 [details]
log file without xorg.conf
Comment 7 Mads Villadsen 2008-06-11 14:46:51 EDT
I can also confirm that running X with the NoAccel option makes user switching work.
Comment 8 Johnny Proton 2009-02-07 09:44:43 EST
I'm on Fedora 10 and experiencing this problem.  It actually doesn't show a screen full of weird colors, but it does freeze just before displaying the list of users who I could login as.
Comment 9 Ilya Ryabinkin 2009-02-09 09:15:22 EST
Confirm for Fedora 10. Choosing "Switch user" either in fast-user-switch applet or screensaver leads to complete screen lock up. Neither Ctrl-Alt-Backspace, nor Ctrl_alt-Del, nor pressing Power button works.

Hardware: Dell Latitude D610, intel gma915
Comment 10 Bug Zapper 2009-06-09 21:10:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Roflo 2009-06-26 21:45:45 EDT
Fedora 11 crashes sometimes. Or rather, after trying to switch user several times.

No xorg.conf here.

I can use CTRL+F1 to switch to the first user, CTRL+F7 for the second user and CTRL+F8 takes me to the frozen would-be login display.

BTW - I also experienced this problem with F10 before upgrading.
Comment 12 Bug Zapper 2009-07-14 13:42:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.